summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAntti-Juhani Kaijanaho <ajk@debian.org>2011-10-22 15:19:57 +0300
committerAntti-Juhani Kaijanaho <ajk@debian.org>2011-10-22 15:19:57 +0300
commitf91ebc7932df8b762300fb2cf17e21f00a6264fd (patch)
tree87d47d3fe16c1404e77ab3b1c7411b8797c9b325
parent71dcfb668eadeb0afcfc14acb5b49ed2c8e09456 (diff)
downloaddctrl-tools-f91ebc7932df8b762300fb2cf17e21f00a6264fd.tar.gz
Add some passing tests
Signed-off-by: Antti-Juhani Kaijanaho <ajk@debian.org>
-rw-r--r--tests/0012.in5
-rw-r--r--tests/0012.out4
-rw-r--r--tests/0012.sh8
-rw-r--r--tests/0013.in5
-rw-r--r--tests/0013.out2
-rw-r--r--tests/0013.sh8
-rw-r--r--tests/0014.in5
-rw-r--r--tests/0014.out2
-rw-r--r--tests/0014.sh8
-rw-r--r--tests/0015.in16
-rw-r--r--tests/0015.out13
-rw-r--r--tests/0015.sh9
-rw-r--r--tests/0016.in6
-rw-r--r--tests/0016.out4
-rw-r--r--tests/0016.sh10
-rw-r--r--tests/0017.in6
-rw-r--r--tests/0017.out2
-rw-r--r--tests/0017.sh10
-rw-r--r--tests/0018.in6
-rw-r--r--tests/0018.out6
-rw-r--r--tests/0018.sh10
-rw-r--r--tests/0019.in6
-rw-r--r--tests/0019.out2
-rw-r--r--tests/0019.sh10
24 files changed, 163 insertions, 0 deletions
diff --git a/tests/0012.in b/tests/0012.in
new file mode 100644
index 0000000..f2ce449
--- /dev/null
+++ b/tests/0012.in
@@ -0,0 +1,5 @@
+Package: aabbaba
+
+Package: bba
+
+Package: aba
diff --git a/tests/0012.out b/tests/0012.out
new file mode 100644
index 0000000..866ccc6
--- /dev/null
+++ b/tests/0012.out
@@ -0,0 +1,4 @@
+Package: aabbaba
+
+Package: aba
+
diff --git a/tests/0012.sh b/tests/0012.sh
new file mode 100644
index 0000000..1e94829
--- /dev/null
+++ b/tests/0012.sh
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+set -e
+
+LC_ALL=C
+export LC_ALL
+
+$GREP_DCTRL -P ab
diff --git a/tests/0013.in b/tests/0013.in
new file mode 100644
index 0000000..7561ff2
--- /dev/null
+++ b/tests/0013.in
@@ -0,0 +1,5 @@
+Package: a+b
+
+Package: aaab
+
+
diff --git a/tests/0013.out b/tests/0013.out
new file mode 100644
index 0000000..e580d09
--- /dev/null
+++ b/tests/0013.out
@@ -0,0 +1,2 @@
+Package: a+b
+
diff --git a/tests/0013.sh b/tests/0013.sh
new file mode 100644
index 0000000..fe5e691
--- /dev/null
+++ b/tests/0013.sh
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+set -e
+
+LC_ALL=C
+export LC_ALL
+
+$GREP_DCTRL -Pr 'a+b' \ No newline at end of file
diff --git a/tests/0014.in b/tests/0014.in
new file mode 100644
index 0000000..7561ff2
--- /dev/null
+++ b/tests/0014.in
@@ -0,0 +1,5 @@
+Package: a+b
+
+Package: aaab
+
+
diff --git a/tests/0014.out b/tests/0014.out
new file mode 100644
index 0000000..a041af6
--- /dev/null
+++ b/tests/0014.out
@@ -0,0 +1,2 @@
+Package: aaab
+
diff --git a/tests/0014.sh b/tests/0014.sh
new file mode 100644
index 0000000..0636987
--- /dev/null
+++ b/tests/0014.sh
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+set -e
+
+LC_ALL=C
+export LC_ALL
+
+$GREP_DCTRL -Pe 'a+b'
diff --git a/tests/0015.in b/tests/0015.in
new file mode 100644
index 0000000..7116d3c
--- /dev/null
+++ b/tests/0015.in
@@ -0,0 +1,16 @@
+A: foo
+
+B: foo
+
+A: foo
+B: foo
+
+A: bar
+B: foo
+
+A: foo
+B: bar
+
+A: bar
+B: bar
+
diff --git a/tests/0015.out b/tests/0015.out
new file mode 100644
index 0000000..29abb85
--- /dev/null
+++ b/tests/0015.out
@@ -0,0 +1,13 @@
+A: foo
+
+B: foo
+
+A: foo
+B: foo
+
+A: bar
+B: foo
+
+A: foo
+B: bar
+
diff --git a/tests/0015.sh b/tests/0015.sh
new file mode 100644
index 0000000..21679f6
--- /dev/null
+++ b/tests/0015.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+set -e
+
+LC_ALL=C
+export LC_ALL
+
+$GREP_DCTRL -FA,B foo
+
diff --git a/tests/0016.in b/tests/0016.in
new file mode 100644
index 0000000..23340bf
--- /dev/null
+++ b/tests/0016.in
@@ -0,0 +1,6 @@
+Source: foo
+
+Source: bar
+Package: foo
+
+Package: foo
diff --git a/tests/0016.out b/tests/0016.out
new file mode 100644
index 0000000..b0bcef9
--- /dev/null
+++ b/tests/0016.out
@@ -0,0 +1,4 @@
+Source: foo
+
+Package: foo
+
diff --git a/tests/0016.sh b/tests/0016.sh
new file mode 100644
index 0000000..d30d59e
--- /dev/null
+++ b/tests/0016.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+set -e
+
+LC_ALL=C
+export LC_ALL
+
+$GREP_DCTRL -S foo
+
+
diff --git a/tests/0017.in b/tests/0017.in
new file mode 100644
index 0000000..2ad75fd
--- /dev/null
+++ b/tests/0017.in
@@ -0,0 +1,6 @@
+Package: FOO
+
+Package: Foo
+
+Package: foo
+
diff --git a/tests/0017.out b/tests/0017.out
new file mode 100644
index 0000000..36dbc61
--- /dev/null
+++ b/tests/0017.out
@@ -0,0 +1,2 @@
+Package: foo
+
diff --git a/tests/0017.sh b/tests/0017.sh
new file mode 100644
index 0000000..c8463a5
--- /dev/null
+++ b/tests/0017.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+set -e
+
+LC_ALL=C
+export LC_ALL
+
+$GREP_DCTRL -P foo
+
+
diff --git a/tests/0018.in b/tests/0018.in
new file mode 100644
index 0000000..2ad75fd
--- /dev/null
+++ b/tests/0018.in
@@ -0,0 +1,6 @@
+Package: FOO
+
+Package: Foo
+
+Package: foo
+
diff --git a/tests/0018.out b/tests/0018.out
new file mode 100644
index 0000000..2ad75fd
--- /dev/null
+++ b/tests/0018.out
@@ -0,0 +1,6 @@
+Package: FOO
+
+Package: Foo
+
+Package: foo
+
diff --git a/tests/0018.sh b/tests/0018.sh
new file mode 100644
index 0000000..2639378
--- /dev/null
+++ b/tests/0018.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+set -e
+
+LC_ALL=C
+export LC_ALL
+
+$GREP_DCTRL -Pi foo
+
+
diff --git a/tests/0019.in b/tests/0019.in
new file mode 100644
index 0000000..fc7c5de
--- /dev/null
+++ b/tests/0019.in
@@ -0,0 +1,6 @@
+Package: foo
+
+Package: foobar
+
+Package: barfoo
+
diff --git a/tests/0019.out b/tests/0019.out
new file mode 100644
index 0000000..36dbc61
--- /dev/null
+++ b/tests/0019.out
@@ -0,0 +1,2 @@
+Package: foo
+
diff --git a/tests/0019.sh b/tests/0019.sh
new file mode 100644
index 0000000..8425938
--- /dev/null
+++ b/tests/0019.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+set -e
+
+LC_ALL=C
+export LC_ALL
+
+$GREP_DCTRL -PX foo
+
+